Package io.strimzi.systemtest.matchers

## Class HasNoneOfReasons

- java.lang.Object
- - org.hamcrest.BaseMatcher<List<io.fabric8.kubernetes.api.model.Event>>
  - - io.strimzi.systemtest.matchers.HasNoneOfReasons

- All Implemented Interfaces:
    `org.hamcrest.Matcher<List<io.fabric8.kubernetes.api.model.Event>>`, `org.hamcrest.SelfDescribing`

      public class HasNoneOfReasons
      extends org.hamcrest.BaseMatcher<List<io.fabric8.kubernetes.api.model.Event>>

  A HasAllOfReasons is custom matcher to check the partial matching of reasons for actual events. Checks at least one match in events.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `HasNoneOfReasons​(Events... eventReasons)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `describeMismatch​(Object item, org.hamcrest.Description description)` |
    `void` | `describeTo​(org.hamcrest.Description description)` | Generates a description of the object.
    `boolean` | `matches​(Object actualValue)` |

    - ### Methods inherited from class org.hamcrest.BaseMatcher

      `_dont_implement_Matcher___instead_extend_BaseMatcher_, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HasNoneOfReasons

          public HasNoneOfReasons​(Events... eventReasons)

  - ### Method Detail

    - #### matches

          public boolean matches​(Object actualValue)

    - #### describeMismatch

          public void describeMismatch​(Object item,
                                       org.hamcrest.Description description)

      Specified by:
        `describeMismatch` in interface `org.hamcrest.Matcher<List<io.fabric8.kubernetes.api.model.Event>>`
      Overrides:
        `describeMismatch` in class `org.hamcrest.BaseMatcher<List<io.fabric8.kubernetes.api.model.Event>>`

    - #### describeTo

          public void describeTo​(org.hamcrest.Description description)

      Generates a description of the object. The description may be part of a a description of a larger object of which this is just a component, so it should be worded appropriately.
      Parameters:
        `description` - The description to be built or appended to.